aboutsummaryrefslogtreecommitdiff
path: root/src/univalue/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/univalue/autogen.sh')
-rwxr-xr-xsrc/univalue/autogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/src/univalue/autogen.sh b/src/univalue/autogen.sh
new file mode 100755
index 0000000000..4b38721faa
--- /dev/null
+++ b/src/univalue/autogen.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+srcdir="$(dirname $0)"
+cd "$srcdir"
+if [ -z ${LIBTOOLIZE} ] && GLIBTOOLIZE="`which glibtoolize 2>/dev/null`"; then
+ LIBTOOLIZE="${GLIBTOOLIZE}"
+ export LIBTOOLIZE
+fi
+autoreconf --install --force